> This page is for JM Care Plan.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jewelersmutual.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jewelersmutual.com/_mcp/server.

# Get a cancellation refund quote

GET //jmcareplanapi.jewelersmutual.com/warranty/sales/{saleId}/refund-amount

Calculates and retrieves the refund amount for a canceled JM® Care Plan sale given the sale ID and cancellation date. Returns the refund amount upon success.

Reference: https://docs.jewelersmutual.com/jm-care-plan/api-reference/jm-care-plan-sales/sales/get-canceled-plan-refund-amount

## Request

### Path parameters

- `saleId` (string, required) — saleId

### Query parameters

- `cancellationDate` (datetime, required) — cancellationDate

## Response

### 200

OK

## Errors

### 401 Unauthorized Error

Unauthorized

- `any`

### 403 Forbidden Error

Forbidden

- `any`

### 404 Not Found Error

Not Found

- `any`

## Examples

**Response**

```json
{
  "_links": {
    "empty": false
  },
  "refundAmount": 125.75
}
```

**SDK Code**

```python
import requests

url = "https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount"

querystring = {"cancellationDate":"2024-05-20T10:15:30Z"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://jmcareplanapi.jewelersmutual.com/warranty/sales/3fa85f64-5717-4562-b3fc-2c963f66afa6/refund-amount?cancellationDate=2024-05-20T10%3A15%3A30Z")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```